Bug 117663 - ntalk max user name len is 12 chars
ntalk max user name len is 12 chars
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: talk (Show other bugs)
1
All Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-06 14:12 EST by HaJo Schatz
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 07:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description HaJo Schatz 2004-03-06 14:12:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1

Description of problem:
The ntalkd protocol allows a max user name of 12 chars long. (At least
newer) RH allow more than that, rendering ntalk[d] useless for users
with names > 12chars. I guess changing the protocol to allow longer
user names makes it incompatible to previous ntalk[d] releases.
Possibly a reason to remove ntalk[d] from future releases?

Version-Release number of selected component (if applicable):
talk-server-0.17-21

How reproducible:
Always

Steps to Reproduce:
1. $ useradd a_long_user_name
2. $ ssh -l a_long_user_name localhost
3. talk a_long_user_name@loclahost
    

Actual Results:  "User is not logged on"

Additional info:
Comment 1 Phil Knirsch 2004-04-14 07:10:30 EDT
I don't consider this to be a crucial bug if at all as the protocol
simply doesn't allow more than 12 chars for a username doesn't mean
that therefore usernames with longer characters have to be forbidden.

Additionally talk has not been of outmost importance over the last few
years and is simply provided as is.

So i'm closing this bug as wontfix as i can't fix the protocol (which
would break it for interaction with any other Unix) nor can we
disallow usernames with more than 12 chars.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.